import type { GuideVO, GuideForm, GuideQuery } from './model';

import type { ID, IDS } from '#/api/common';
import type { PageResult } from '#/api/common';

import { commonExport } from '#/api/helper';
import { requestClient } from '#/api/request';

/**
* 查询办事指南列表
* @param params
* @returns 办事指南列表
*/
export function guideList(params?: GuideQuery) {
  return requestClient.get<PageResult<GuideVO>>('/biz/guide/list', { params });
}

/**
 * 导出办事指南列表
 * @param params
 * @returns 办事指南列表
 */
export function guideExport(params?: GuideQuery) {
  return commonExport('/biz/guide/export', params ?? {});
}

/**
 * 查询办事指南详情
 * @param id id
 * @returns 办事指南详情
 */
export function guideInfo(id: ID) {
  return requestClient.get<GuideVO>(`/biz/guide/${id}`);
}

/**
 * 新增办事指南
 * @param data
 * @returns void
 */
export function guideAdd(data: GuideForm) {
  return requestClient.postWithMsg<void>('/biz/guide', data);
}

/**
 * 更新办事指南
 * @param data
 * @returns void
 */
export function guideUpdate(data: GuideForm) {
  return requestClient.putWithMsg<void>('/biz/guide', data);
}

/**
 * 删除办事指南
 * @param id id
 * @returns void
 */
export function guideRemove(id: ID | IDS) {
  return requestClient.deleteWithMsg<void>(`/biz/guide/${id}`);
}
